ip-manager (1.47.21) unstable; urgency=medium

  * [odl-generator] add support for failover IP interface

 -- SAH bot <sahbot@softathome.com>  Fri, 06 Dec 2024 15:17:58 +0000

ip-manager (1.47.20) unstable; urgency=medium

  * - [routeradvertisement] A and L flags must be set by default

 -- SAH bot <sahbot@softathome.com>  Tue, 03 Dec 2024 11:02:08 +0000

ip-manager (1.47.19) unstable; urgency=medium

  * ULA prefix has incorrect StaticType

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Nov 2024 16:40:07 +0000

ip-manager (1.47.18) unstable; urgency=medium

  * [IPv6 static] Static LAN prefix not supported

 -- SAH bot <sahbot@softathome.com>  Fri, 22 Nov 2024 13:22:50 +0000

ip-manager (1.47.17) unstable; urgency=medium

  * - [ip-manager] declare custom events in odl definitions

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Nov 2024 15:20:04 +0000

ip-manager (1.47.16) unstable; urgency=medium

  * Reduce regex usage in signal handling

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Nov 2024 14:02:27 +0000

ip-manager (1.47.15) unstable; urgency=medium

  * [IPv6 static] Static LAN prefix not supported

 -- SAH bot <sahbot@softathome.com>  Thu, 10 Oct 2024 10:16:43 +0000

ip-manager (1.47.14) unstable; urgency=medium

  * CLONE - Network Connection page parameters must be registered with PCM

 -- SAH bot <sahbot@softathome.com>  Mon, 23 Sep 2024 12:38:13 +0000

ip-manager (1.47.13) unstable; urgency=medium

  * - [Terminating dot][tr181] fix IP

 -- SAH bot <sahbot@softathome.com>  Fri, 13 Sep 2024 09:19:22 +0000

ip-manager (1.47.12) unstable; urgency=medium

  * - switch from a ethernet ll to a ppp ll on enabled intf will not remove existing addresses
  * - IPv6 addresses not removed after changing lowerlayers from ethernet to PPP on an enabled interface

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Sep 2024 15:17:25 +0000

ip-manager (1.47.11) unstable; urgency=medium

  * - [Terminating dot][tr181] fix IP

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Sep 2024 09:52:06 +0000

ip-manager (1.47.10) unstable; urgency=medium

  * [AppArmor] Create AppAmor profile for plugins

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Sep 2024 07:17:32 +0000

ip-manager (1.47.9) unstable; urgency=medium

  * [NetModel] Connect via direct socket if possible

 -- SAH bot <sahbot@softathome.com>  Thu, 05 Sep 2024 07:40:58 +0000

ip-manager (1.47.8) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Fri, 30 Aug 2024 09:45:50 +0000

ip-manager (1.47.7) unstable; urgency=medium

  * - GUA_IAPD instances have a wrong StaticType

 -- SAH bot <sahbot@softathome.com>  Wed, 14 Aug 2024 11:28:17 +0000

ip-manager (1.47.6) unstable; urgency=medium

  * Better shutdown script

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Jul 2024 07:42:57 +0000

ip-manager (1.47.5) unstable; urgency=medium

  * - Rework prefix generation

 -- SAH bot <sahbot@softathome.com>  Thu, 18 Jul 2024 14:33:34 +0000

ip-manager (1.47.4) unstable; urgency=medium

  * - Differentiate a static and a dynamic on mode on the wan interface for IPv6 Prefix

 -- SAH bot <sahbot@softathome.com>  Mon, 08 Jul 2024 14:52:49 +0000

ip-manager (1.47.3) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 02 Jul 2024 13:14:34 +0000

ip-manager (1.47.2) unstable; urgency=medium

  * - Do not generate prefix if ChildPrefixBits will have no effect

 -- SAH bot <sahbot@softathome.com>  Mon, 24 Jun 2024 09:55:45 +0000

ip-manager (1.47.1) unstable; urgency=medium

  * - IPv6 Addresses are not always set back after interface goes down

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Jun 2024 15:24:59 +0000

ip-manager (1.47.0) unstable; urgency=medium

  * - [Cellular] Add support of cellular interfaces

 -- SAH bot <sahbot@softathome.com>  Mon, 10 Jun 2024 07:19:04 +0000

ip-manager (1.46.8) unstable; urgency=medium

  * - [tr181-ppp] Sometimes the lla address on the pppoe-wan interface is not there

 -- SAH bot <sahbot@softathome.com>  Thu, 30 May 2024 11:51:28 +0000

ip-manager (1.46.7) unstable; urgency=medium

  * correct default ipv6 configuration for AP

 -- SAH bot <sahbot@softathome.com>  Fri, 17 May 2024 20:44:07 +0000

ip-manager (1.46.6) unstable; urgency=medium

  * AP config DHCP addressing on bridge interface
  * give bridges on access point 192.168.x.254 as IP

 -- SAH bot <sahbot@softathome.com>  Thu, 02 May 2024 08:10:20 +0000

ip-manager (1.46.5) unstable; urgency=medium

  * DSLite-entry and DSLite-exit will both get Name=dslite0

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Apr 2024 11:03:49 +0000

ip-manager (1.46.4) unstable; urgency=medium

  * dynamically add ip configuration depending on the bridges in...

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Apr 2024 10:16:36 +0000

ip-manager (1.46.3) unstable; urgency=medium

  * Error for disabled instances when initializing

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Apr 2024 16:25:19 +0000

ip-manager (1.46.2) unstable; urgency=medium

  * Make amxb timeouts configurable

 -- SAH bot <sahbot@softathome.com>  Wed, 10 Apr 2024 09:59:35 +0000

ip-manager (1.46.1) unstable; urgency=medium

  * Duplicate instance of autodetected addresses

 -- SAH bot <sahbot@softathome.com>  Fri, 29 Mar 2024 11:37:54 +0000

ip-manager (1.46.0) unstable; urgency=medium

  * Add tr181-device proxy odl files to components

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Mar 2024 08:32:01 +0000

ip-manager (1.45.2) unstable; urgency=medium

  * Error in Enum value

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Mar 2024 07:19:44 +0000

ip-manager (1.45.1) unstable; urgency=medium

  * DHCP_IAPD prefix is disabled instead of DHCP_IAPD Address

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Mar 2024 12:37:36 +0000

ip-manager (1.45.0) unstable; urgency=medium

  * Rework TR-181 interface stacks indexing number

 -- SAH bot <sahbot@softathome.com>  Fri, 15 Mar 2024 17:51:51 +0000

ip-manager (1.44.4) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Thu, 14 Mar 2024 16:56:57 +0000

ip-manager (1.44.3) unstable; urgency=medium

  * Rework unit tests

 -- SAH bot <sahbot@softathome.com>  Thu, 14 Mar 2024 15:46:33 +0000

ip-manager (1.44.2) unstable; urgency=medium

  * CLONE - [IPv6] After deactivating IPv6, the DUT does not send a DHCPv6 Release message.

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Mar 2024 11:31:32 +0000

ip-manager (1.44.1) unstable; urgency=medium

  * [TR181-IP] Router WAN ARP renewal frequency configuration

 -- SAH bot <sahbot@softathome.com>  Mon, 04 Mar 2024 19:10:20 +0000

ip-manager (1.44.0) unstable; urgency=medium

  * Make IPv6 upgrade persistent

 -- SAH bot <sahbot@softathome.com>  Fri, 01 Mar 2024 19:17:00 +0000

ip-manager (1.43.1) unstable; urgency=medium

  * Rework the startup

 -- SAH bot <sahbot@softathome.com>  Fri, 01 Mar 2024 11:12:58 +0000

ip-manager (1.43.0) unstable; urgency=medium

  * No WAN GUA assigned from delegated prefix in numbered mode

 -- SAH bot <sahbot@softathome.com>  Wed, 21 Feb 2024 14:53:14 +0000

ip-manager (1.42.1) unstable; urgency=medium

  * lighttpd sometimes does not start

 -- SAH bot <sahbot@softathome.com>  Sat, 10 Feb 2024 08:36:43 +0000

ip-manager (1.42.0) unstable; urgency=medium

  * [TR181-IP] Router WAN ARP renewal frequency configuration

 -- SAH bot <sahbot@softathome.com>  Thu, 08 Feb 2024 16:21:43 +0000

ip-manager (1.41.10) unstable; urgency=medium

  * Implement Device.IP.Interface.{i}.Reset

 -- SAH bot <sahbot@softathome.com>  Mon, 22 Jan 2024 13:04:37 +0000

ip-manager (1.41.9) unstable; urgency=medium

  * Fix documentation generation
  * Changing LowerLayers parameter will not remove IPs from the...

 -- SAH bot <sahbot@softathome.com>  Wed, 10 Jan 2024 12:06:34 +0000

ip-manager (1.41.8) unstable; urgency=medium

  * - [PRPL] Components with files for GW and AP: improve command to install them

 -- SAH bot <sahbot@softathome.com>  Thu, 14 Dec 2023 16:45:04 +0000

ip-manager (1.41.7) unstable; urgency=medium

  * Set `lla` controllers by default

 -- SAH bot <sahbot@softathome.com>  Wed, 13 Dec 2023 16:28:23 +0000

ip-manager (1.41.6) unstable; urgency=medium

  * [Repeater Config][IPv6] Implement a proper IPv6 config of the repeater

 -- SAH bot <sahbot@softathome.com>  Tue, 12 Dec 2023 11:34:22 +0000

ip-manager (1.41.5) unstable; urgency=medium

  * [Guest Bridge] Add guest support on AP, using ethernet backhaul.

 -- SAH bot <sahbot@softathome.com>  Thu, 30 Nov 2023 12:36:09 +0000

ip-manager (1.41.4) unstable; urgency=medium

  * -IPv6Enable is neither reboot nor upgrade persistent.

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Nov 2023 16:30:12 +0000

ip-manager (1.41.3) unstable; urgency=medium

  * [ACL][IP-Manager] Allow write permission for CWMP on all IP datamodel

 -- SAH bot <sahbot@softathome.com>  Wed, 25 Oct 2023 10:06:47 +0000

ip-manager (1.41.2) unstable; urgency=medium

  *  [IPv6 Enable][UserSetting] It must be possible to Enable Ipv6 on the HGW

 -- SAH bot <sahbot@softathome.com>  Tue, 17 Oct 2023 11:41:06 +0000

ip-manager (1.41.1) unstable; urgency=medium

  *  All applications using sahtrace logs should use default log levels

 -- SAH bot <sahbot@softathome.com>  Fri, 13 Oct 2023 13:48:57 +0000

ip-manager (1.41.0) unstable; urgency=medium

  * [amxrt][no-root-user][capability drop] tr181-ip plugin must be adapted to run as non-root and lmited capabilities

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Oct 2023 07:07:05 +0000

ip-manager (1.40.0) unstable; urgency=medium

  * [AP Config][IPv4 connectivity] Repeater should switch from static to dhcp ip address

 -- SAH bot <sahbot@softathome.com>  Tue, 26 Sep 2023 11:39:08 +0000

ip-manager (1.39.4) unstable; urgency=medium

  * [cdrouter] Verify basic MSS Clamping for TCP sessions test fails

 -- SAH bot <sahbot@softathome.com>  Fri, 22 Sep 2023 13:10:19 +0000

ip-manager (1.39.3) unstable; urgency=medium

  * [tr181-pcm] All the plugins that are register to PCM should set the pcm_svc_config

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Sep 2023 15:09:53 +0000

ip-manager (1.39.2) unstable; urgency=medium

  * [TR181-IP] Make MTU configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 01 Sep 2023 13:53:48 +0000

ip-manager (1.39.1) unstable; urgency=medium

  * After upgrade DHCP is a not answering

 -- SAH bot <sahbot@softathome.com>  Thu, 31 Aug 2023 09:14:21 +0000

ip-manager (1.39.0) unstable; urgency=medium

  * [tr181-pcm] Set the usersetting parameters for each plugin

 -- SAH bot <sahbot@softathome.com>  Wed, 26 Jul 2023 11:48:36 +0000

ip-manager (1.38.0) unstable; urgency=medium

  * [TR181 IP manager] IPv4/6Status do not reflect their respective IP status

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Jul 2023 09:30:27 +0000

ip-manager (1.37.0) unstable; urgency=medium

  * add ACLs permissions for cwmp user

 -- SAH bot <sahbot@softathome.com>  Wed, 07 Jun 2023 08:19:57 +0000

ip-manager (1.36.3) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 23 May 2023 15:24:42 +0000

ip-manager (1.36.2) unstable; urgency=medium

  * Use correct status parameter name

 -- SAH bot <sahbot@softathome.com>  Mon, 08 May 2023 08:46:50 +0000

ip-manager (1.36.1) unstable; urgency=medium

  * [TR-181][IP-Manager] For PPP the IPv6 address should not be set automatically

 -- SAH bot <sahbot@softathome.com>  Mon, 08 May 2023 07:16:00 +0000

ip-manager (1.36.0) unstable; urgency=medium

  * Make lifetimes functional

 -- SAH bot <sahbot@softathome.com>  Mon, 24 Apr 2023 10:32:25 +0000

ip-manager (1.35.0) unstable; urgency=medium

  * [TR-181][IP-Manager] It must be possible to configure a gateway in Numbered or Unnumbered mode

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Apr 2023 14:04:28 +0000

ip-manager (1.34.0) unstable; urgency=medium

  * Support IPv6 unnumbered mode

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Apr 2023 12:09:23 +0000

ip-manager (1.33.11) unstable; urgency=medium

  * tr181-ip *.LastChanges are wrong in datamodel

 -- SAH bot <sahbot@softathome.com>  Wed, 05 Apr 2023 16:39:45 +0000

ip-manager (1.33.10) unstable; urgency=medium

  * Allow netdev names to have a dot in them when calling rpc functions

 -- SAH bot <sahbot@softathome.com>  Fri, 31 Mar 2023 09:56:51 +0000

ip-manager (1.33.9) unstable; urgency=medium

  * Cleanup traces

 -- SAH bot <sahbot@softathome.com>  Thu, 30 Mar 2023 06:45:46 +0000

ip-manager (1.33.8) unstable; urgency=medium

  * Add missing default AP odl files

 -- SAH bot <sahbot@softathome.com>  Wed, 22 Mar 2023 08:35:28 +0000

ip-manager (1.33.7) unstable; urgency=medium

  * [baf] Correct typo in config option

 -- SAH bot <sahbot@softathome.com>  Fri, 17 Mar 2023 18:39:18 +0000

ip-manager (1.33.6) unstable; urgency=medium

  * Add AP config files
  * [Config] enable configurable coredump generation

 -- SAH bot <sahbot@softathome.com>  Thu, 16 Mar 2023 13:15:10 +0000

ip-manager (1.33.5) unstable; urgency=medium

  * Interface name not cleared when interface is disabled

 -- SAH bot <sahbot@softathome.com>  Tue, 07 Mar 2023 13:19:26 +0000

ip-manager (1.33.4) unstable; urgency=medium

  * GUA_IAPD prefix on bridge interfaces should not be origin Child

 -- SAH bot <sahbot@softathome.com>  Fri, 03 Mar 2023 10:41:45 +0000

ip-manager (1.33.3) unstable; urgency=medium

  * PPPOE wanmode stopped working

 -- SAH bot <sahbot@softathome.com>  Thu, 02 Mar 2023 13:51:27 +0000

ip-manager (1.33.2) unstable; urgency=medium

  * Changing Subnetmask from static IP doesn't remove the old IP

 -- SAH bot <sahbot@softathome.com>  Tue, 28 Feb 2023 18:23:51 +0000

ip-manager (1.33.1) unstable; urgency=medium

  * Box sends 2 ICMPv6 RA when a RS is received on LAN
  * Add missing runtime dependency on rpcd

 -- SAH bot <sahbot@softathome.com>  Tue, 28 Feb 2023 18:10:33 +0000

ip-manager (1.33.0) unstable; urgency=medium

  * Box sends 2 ICMPv6 RA when a RS is received on LAN

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Feb 2023 11:52:50 +0000

ip-manager (1.32.10) unstable; urgency=medium

  * Improve stability

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Feb 2023 15:28:28 +0000

ip-manager (1.32.9) unstable; urgency=medium

  * No IPv4 queries created if LowerLayers is empty during enable

 -- SAH bot <sahbot@softathome.com>  Thu, 02 Feb 2023 08:58:42 +0000

ip-manager (1.32.8) unstable; urgency=medium

  * GUA_RA IPv6Address is not filled in for ppp6

 -- SAH bot <sahbot@softathome.com>  Fri, 27 Jan 2023 10:30:46 +0000

ip-manager (1.32.7) unstable; urgency=medium

  * Configure static IPv4 and IPv6 addresses trough the wan-manager

 -- SAH bot <sahbot@softathome.com>  Fri, 27 Jan 2023 09:52:04 +0000

ip-manager (1.32.6) unstable; urgency=medium

  * Move netlink code from IP-manager to NetDev

 -- SAH bot <sahbot@softathome.com>  Mon, 23 Jan 2023 10:06:38 +0000

ip-manager (1.32.5) unstable; urgency=medium

  * [IP][Guest] Make a default IPv6 Configuration for the guest bridge.

 -- SAH bot <sahbot@softathome.com>  Mon, 16 Jan 2023 08:38:50 +0000

ip-manager (1.32.4) unstable; urgency=medium

  * avoidable allocation with amxc_string_dup

 -- SAH bot <sahbot@softathome.com>  Wed, 04 Jan 2023 12:44:46 +0000

ip-manager (1.32.3) unstable; urgency=medium

  * Don't set IPv4/6 netmodel flag if IP interface is of type Tunneled

 -- SAH bot <sahbot@softathome.com>  Wed, 04 Jan 2023 12:27:58 +0000

ip-manager (1.32.2) unstable; urgency=medium

  *  [WANMode] Add default WANModes (Ethernet_DHCP and Ethernet_PPP)

 -- SAH bot <sahbot@softathome.com>  Fri, 16 Dec 2022 12:59:40 +0000

ip-manager (1.32.1) unstable; urgency=medium

  * Make Type parameter persistent

 -- SAH bot <sahbot@softathome.com>  Thu, 15 Dec 2022 12:08:36 +0000

ip-manager (1.32.0) unstable; urgency=medium

  * [WANMode] Add default WANModes (Ethernet_DHCP and Ethernet_PPP)

 -- SAH bot <sahbot@softathome.com>  Thu, 15 Dec 2022 08:19:55 +0000

ip-manager (1.31.1) unstable; urgency=medium

  * [prplOs compatibility] Don't change path and use ip utility according to installed packages

 -- SAH bot <sahbot@softathome.com>  Wed, 14 Dec 2022 08:26:07 +0000

ip-manager (1.31.0) unstable; urgency=medium

  * Adding two parameters to ip prefixes with the relative preferred lifetime and the relative valid lifetime

 -- SAH bot <sahbot@softathome.com>  Wed, 14 Dec 2022 08:12:25 +0000

ip-manager (1.30.3) unstable; urgency=medium

  * Wrong ipv6 toggle when switching ipv6 interfaces after enabling of the pppmode in Wan-Manager

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 14:40:57 +0000

ip-manager (1.30.2) unstable; urgency=medium

  * Make a default IPv6 Configuration for the guest bridge

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 13:54:47 +0000

ip-manager (1.30.1) unstable; urgency=medium

  * [Config] coredump generation should be configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 09:51:37 +0000

ip-manager (1.30.0) unstable; urgency=medium

  * [TR181-IP] Add ipv4 and/or ipv6 flags to netdev interfaces in netmodel

 -- SAH bot <sahbot@softathome.com>  Thu, 08 Dec 2022 15:11:13 +0000

ip-manager (1.29.1) unstable; urgency=medium

  * Disable ULA on LLA config

 -- SAH bot <sahbot@softathome.com>  Tue, 06 Dec 2022 13:11:07 +0000

ip-manager (1.29.0) unstable; urgency=medium

  * [tr181][ip] turn on ipv6address for IANA by default

 -- SAH bot <sahbot@softathome.com>  Mon, 28 Nov 2022 15:39:34 +0000

ip-manager (1.28.1) unstable; urgency=medium

  * No LLA after firstboot

 -- SAH bot <sahbot@softathome.com>  Mon, 28 Nov 2022 11:34:24 +0000

ip-manager (1.28.0) unstable; urgency=medium

  * IP Manager DSLite defaults

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Nov 2022 10:53:31 +0000

ip-manager (1.27.1) unstable; urgency=medium

  * When the IP.Interface.2. (wan) is disabled, remove ipv6 addresses form interface [Fix]

 -- SAH bot <sahbot@softathome.com>  Wed, 16 Nov 2022 13:12:58 +0000

ip-manager (1.27.0) unstable; urgency=medium

  * First version of the Readme.md

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Oct 2022 17:16:03 +0000

ip-manager (1.26.7) unstable; urgency=medium

  * Improve plugin boot order

 -- SAH bot <sahbot@softathome.com>  Thu, 13 Oct 2022 08:22:33 +0000

ip-manager (1.26.6) unstable; urgency=medium

  * The autodetection of the IP addresses can cause multiple duplicates

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Oct 2022 07:47:27 +0000

ip-manager (1.26.5) unstable; urgency=medium

  * disable import-dbg

 -- SAH bot <sahbot@softathome.com>  Thu, 06 Oct 2022 07:57:40 +0000

ip-manager (1.26.4) unstable; urgency=medium

  * [IPv6] ULA Address on lan must be disabled by default.

 -- SAH bot <sahbot@softathome.com>  Tue, 27 Sep 2022 13:07:46 +0000

ip-manager (1.26.3) unstable; urgency=medium

  * Autodetected IP addresses should be enabled when added

 -- SAH bot <sahbot@softathome.com>  Tue, 27 Sep 2022 11:57:04 +0000

ip-manager (1.26.2) unstable; urgency=medium

  * Crash when deleting subscription

 -- SAH bot <sahbot@softathome.com>  Mon, 26 Sep 2022 12:41:55 +0000

ip-manager (1.26.1) unstable; urgency=medium

  * IP-manager crash when deleting subscription

 -- SAH bot <sahbot@softathome.com>  Wed, 21 Sep 2022 16:54:57 +0000

ip-manager (1.26.1) unstable; urgency=medium

  * IP-manager crash when deleting subscription

 -- SAH bot <sahbot@softathome.com>  Wed, 21 Sep 2022 16:47:16 +0000

ip-manager (1.26.0) unstable; urgency=medium

  * Add a new wan6 instance that will be used by the PPP wan-mode

 -- SAH bot <sahbot@softathome.com>  Wed, 14 Sep 2022 13:58:29 +0000

ip-manager (1.25.0) unstable; urgency=medium

  *  Add IPaddresses reported by NetDev to the DM if they do not yet exist

 -- SAH bot <sahbot@softathome.com>  Wed, 14 Sep 2022 07:04:47 +0000

ip-manager (1.24.0) unstable; urgency=medium

  * [TR181 IP] Add support for PPP

 -- SAH bot <sahbot@softathome.com>  Fri, 02 Sep 2022 07:28:48 +0000

ip-manager (1.23.2) unstable; urgency=medium

  * Issues with dm functions not using internal structure

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Aug 2022 13:43:38 +0000

ip-manager (1.23.1) unstable; urgency=medium

  * Prefix is not reboot persistent for IPv6Addresses

 -- SAH bot <sahbot@softathome.com>  Tue, 26 Jul 2022 10:47:19 +0000

ip-manager (1.23.0) unstable; urgency=medium

  * Implement the stats object

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Jul 2022 08:35:48 +0000

ip-manager (1.22.11) unstable; urgency=medium

  * Some volatile data stays persistent if the IP-manager doesn't shutdown properly

 -- SAH bot <sahbot@softathome.com>  Mon, 18 Jul 2022 10:44:03 +0000

ip-manager (1.22.10) unstable; urgency=medium

  * Unit tests are failing

 -- SAH bot <sahbot@softathome.com>  Thu, 14 Jul 2022 14:38:04 +0000

ip-manager (1.22.9) unstable; urgency=medium

  * [amxrt] All amx plugins should start with the -D option

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Jun 2022 17:22:10 +0000

ip-manager (1.22.8) unstable; urgency=medium

  * Weird IP Addresses on interfaces after boot

 -- SAH bot <sahbot@softathome.com>  Fri, 17 Jun 2022 09:55:12 +0000

ip-manager (1.22.7) unstable; urgency=medium

  * Add a "public-lan" default IPv4Address instance

 -- SAH bot <sahbot@softathome.com>  Fri, 17 Jun 2022 09:37:40 +0000

ip-manager (1.22.6) unstable; urgency=medium

  * Use netdev-bound instead of netdev-up for NetDevName query

 -- SAH bot <sahbot@softathome.com>  Thu, 16 Jun 2022 06:50:44 +0000

ip-manager (1.22.5) unstable; urgency=medium

  * Toggling IPv6 and setting MTUSize does not work on lla image

 -- SAH bot <sahbot@softathome.com>  Sat, 11 Jun 2022 06:35:05 +0000

ip-manager (1.22.4) unstable; urgency=medium

  * Cleanup defaults

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Jun 2022 08:43:06 +0000

ip-manager (1.22.3) unstable; urgency=medium

  * Rework enable parameters and NetDevName change

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Jun 2022 06:33:48 +0000

ip-manager (1.22.2) unstable; urgency=medium

  * Make AddressingType writable again

 -- SAH bot <sahbot@softathome.com>  Thu, 02 Jun 2022 06:43:36 +0000

ip-manager (1.22.1) unstable; urgency=medium

  * Clear interface name if query returns empty

 -- SAH bot <sahbot@softathome.com>  Mon, 23 May 2022 19:51:21 +0000

ip-manager (1.22.0) unstable; urgency=medium

  * Add a "public-lan" default IPv4Address instance

 -- SAH bot <sahbot@softathome.com>  Mon, 23 May 2022 19:43:31 +0000

ip-manager (1.21.1) unstable; urgency=medium

  * Enable persistency

 -- SAH bot <sahbot@softathome.com>  Thu, 19 May 2022 06:58:38 +0000

ip-manager (1.21.0) unstable; urgency=medium

  * Save and load persistent parameters

 -- SAH bot <sahbot@softathome.com>  Tue, 17 May 2022 09:59:38 +0000

ip-manager (1.20.3) unstable; urgency=medium

  * Add Unit tests

 -- SAH bot <sahbot@softathome.com>  Thu, 12 May 2022 07:31:13 +0000

ip-manager (1.20.2) unstable; urgency=medium

  * Add missing define to expose `strdup`

 -- SAH bot <sahbot@softathome.com>  Thu, 12 May 2022 06:23:19 +0000

ip-manager (1.20.1) unstable; urgency=medium

  * ULA Address missing

 -- SAH bot <sahbot@softathome.com>  Thu, 05 May 2022 13:10:01 +0000

ip-manager (1.20.0) unstable; urgency=medium

  * Add protected IP address parameters

 -- SAH bot <sahbot@softathome.com>  Wed, 04 May 2022 15:53:33 +0000

ip-manager (1.19.0) unstable; urgency=medium

  * Add netmodel queries to resolve the LowerLayers to NetDevName

 -- SAH bot <sahbot@softathome.com>  Fri, 29 Apr 2022 17:07:50 +0000

ip-manager (1.18.2) unstable; urgency=medium

  * set default ULA prefix

 -- SAH bot <sahbot@softathome.com>  Wed, 27 Apr 2022 07:45:33 +0000

ip-manager (1.18.1) unstable; urgency=medium

  * Use lib_ipat functions to create IPv6 Addresses

 -- SAH bot <sahbot@softathome.com>  Tue, 26 Apr 2022 07:02:32 +0000

ip-manager (1.18.0) unstable; urgency=medium

  * expose IPv6Addresses which is triggered by a routerAdvertisement negotation

 -- SAH bot <sahbot@softathome.com>  Thu, 14 Apr 2022 11:16:54 +0000

ip-manager (1.17.2) unstable; urgency=medium

  * DHCPv4 Address should come from NetModel query

 -- SAH bot <sahbot@softathome.com>  Tue, 12 Apr 2022 13:43:24 +0000

ip-manager (1.17.1) unstable; urgency=medium

  * LastChange parameters doesn't reset when the status changes

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Apr 2022 06:34:16 +0000

ip-manager (1.17.0) unstable; urgency=medium

  * Set IPv6 address/prefix status

 -- SAH bot <sahbot@softathome.com>  Fri, 01 Apr 2022 08:19:22 +0000

ip-manager (1.16.3) unstable; urgency=medium

  * The loopback interface must be marked with the netdev flag.

 -- SAH bot <sahbot@softathome.com>  Thu, 31 Mar 2022 14:29:16 +0000

ip-manager (1.16.2) unstable; urgency=medium

  * Wrong Status of DHCP IPv4Address

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Mar 2022 17:42:30 +0000

ip-manager (1.16.1) unstable; urgency=medium

  * [GetDebugInformation] Add data model debuginfo in component services

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Mar 2022 10:59:33 +0000

ip-manager (1.16.0) unstable; urgency=medium

  * Set the MTU value using UCI

 -- SAH bot <sahbot@softathome.com>  Mon, 21 Mar 2022 17:45:45 +0000

ip-manager (1.15.1) unstable; urgency=medium

  * Status not working

 -- SAH bot <sahbot@softathome.com>  Fri, 18 Mar 2022 07:26:19 +0000

ip-manager (1.15.0) unstable; urgency=medium

  * [getDebugInformation] Install a getdebug information script in the prplOS

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Mar 2022 10:25:00 +0000

ip-manager (1.14.1) unstable; urgency=medium

  * Possible segfault do to not allocated timestamps

 -- SAH bot <sahbot@softathome.com>  Fri, 04 Mar 2022 14:15:31 +0000

ip-manager (1.14.0) unstable; urgency=medium

  * Create NetModel query for DHCP

 -- SAH bot <sahbot@softathome.com>  Fri, 04 Mar 2022 09:54:31 +0000

ip-manager (1.13.0) unstable; urgency=medium

  * [CONFIG] add lcm interface to config

 -- SAH bot <sahbot@softathome.com>  Thu, 03 Mar 2022 12:49:27 +0000

ip-manager (1.12.4) unstable; urgency=medium

  * Enable core dumps by default

 -- SAH bot <sahbot@softathome.com>  Fri, 25 Feb 2022 10:53:18 +0000

ip-manager (1.12.3) unstable; urgency=medium

  * IP-manager build fails on rpi3 build

 -- SAH bot <sahbot@softathome.com>  Tue, 15 Feb 2022 22:14:40 +0000

ip-manager (1.12.2) unstable; urgency=medium

  * only the NetDev client should synchronize NetDevName

 -- SAH bot <sahbot@softathome.com>  Mon, 14 Feb 2022 21:36:53 +0000

ip-manager (1.12.1) unstable; urgency=medium

  * It should be possible to set multiple IPv4Addresses

 -- SAH bot <sahbot@softathome.com>  Wed, 09 Feb 2022 09:06:40 +0000

ip-manager (1.12.0) unstable; urgency=medium

  * It must be possible to set an IPv6 Address using the linux low level API
  * Use mod-ipm-netlink for IPAddresses the UCI module can't set

 -- SAH bot <sahbot@softathome.com>  Mon, 31 Jan 2022 12:25:46 +0000

ip-manager (1.11.1) unstable; urgency=medium

  * IPv4/6 Enable and some other small features need fixing

 -- SAH bot <sahbot@softathome.com>  Thu, 20 Jan 2022 07:50:27 +0000

ip-manager (1.11.0) unstable; urgency=medium

  * Set IPv6 address in Linux

 -- SAH bot <sahbot@softathome.com>  Wed, 05 Jan 2022 09:08:11 +0000

ip-manager (1.10.0) unstable; urgency=medium

  * Support for IP.Interface.Enable and IP.Interface.IPv4Enable

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Dec 2021 15:40:03 +0000

ip-manager (1.9.0) unstable; urgency=medium

  * Implement IPv6Address population

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Dec 2021 19:44:23 +0000

ip-manager (1.8.0) unstable; urgency=medium

  * set flag "netdev" on NetModel interfaces

 -- SAH bot <sahbot@softathome.com>  Thu, 09 Dec 2021 08:19:47 +0000

ip-manager (1.7.4) unstable; urgency=medium

  * Fix memory leaks
  * [ACL] The IP Manager must have default ACL files configured

 -- SAH bot <sahbot@softathome.com>  Wed, 01 Dec 2021 12:05:05 +0000

ip-manager (1.7.3) unstable; urgency=medium

  * only reload network for static addresses

 -- SAH bot <sahbot@softathome.com>  Mon, 29 Nov 2021 15:42:40 +0000

ip-manager (1.7.2) unstable; urgency=medium

  * Apply correct default configuration for a guest network

 -- SAH bot <sahbot@softathome.com>  Mon, 29 Nov 2021 08:59:16 +0000

ip-manager (1.7.1) unstable; urgency=medium

  * Add mod-netmodel as a dependency

 -- SAH bot <sahbot@softathome.com>  Mon, 22 Nov 2021 07:48:35 +0000

ip-manager (1.7.0) unstable; urgency=medium

  * mod_netmodel populate netmodel hierarchy (Device.IP.)

 -- SAH bot <sahbot@softathome.com>  Thu, 18 Nov 2021 14:53:05 +0000

ip-manager (1.6.2) unstable; urgency=medium

  * Implementation of unit tests (using cmocka)

 -- SAH bot <sahbot@softathome.com>  Wed, 17 Nov 2021 10:13:27 +0000

ip-manager (1.6.1) unstable; urgency=medium

  * [CI] Disable g++ compilation

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Nov 2021 12:02:13 +0000

ip-manager (1.6.0) unstable; urgency=medium

  * [IPManager] Provide (protected) API to set an IPv4 Address instance

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Nov 2021 10:41:59 +0000

ip-manager (1.5.1) unstable; urgency=medium

  * Missing mod-sahtrace dependecy in some components

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Nov 2021 09:15:29 +0000

ip-manager (1.5.0) unstable; urgency=medium

  * [ip-manager] add guest config

 -- SAH bot <sahbot@softathome.com>  Thu, 04 Nov 2021 07:28:03 +0000

ip-manager (1.4.1) unstable; urgency=medium

  * Fix unit tests

 -- SAH bot <sahbot@softathome.com>  Wed, 27 Oct 2021 08:29:02 +0000

ip-manager (1.4.0) unstable; urgency=medium

  * [TR181 IP manager] Manage a single Static IPv4Address on a fixed lan interface

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Oct 2021 15:55:35 +0000

ip-manager (1.3.1) unstable; urgency=medium

  * [TR181 IP] Use amx transactions iso amxd_object_emit_changed

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Oct 2021 06:40:52 +0000

ip-manager (1.3.0) unstable; urgency=medium

  * Add UCI "separation of concern" module for IPv4 address configuration

 -- SAH bot <sahbot@softathome.com>  Mon, 27 Sep 2021 14:54:52 +0000

ip-manager (1.2.1) unstable; urgency=medium

  * PCF-282 [TR181 IP] Interface status correct, IPv4 addresses now in DM

 -- SAH bot <support.opensource@softathome.com>  Wed, 15 Sep 2021 07:12:56 +0000

ip-manager (1.2.0) unstable; urgency=medium

  * Add initial integration tests
  * Fix default wan name

 -- SAH bot <support.opensource@softathome.com>  Tue, 14 Sep 2021 07:04:07 +0000

ip-manager (1.1.4) unstable; urgency=medium

  * ip-manager add ipv4addr population

 -- SAH bot <support.opensource@softathome.com>  Mon, 30 Aug 2021 10:20:08 +0000

ip-manager (1.1.3) unstable; urgency=medium

  * PCF-209 [TR181 IP] wrong init of bus ctx

 -- SAH bot <support.opensource@softathome.com>  Tue, 10 Aug 2021 14:01:38 +0000

ip-manager (1.1.2) unstable; urgency=medium

  * populate `IP.Interface` from odl defaults, link with NetDev

 -- SAH bot <support.opensource@softathome.com>  Fri, 30 Jul 2021 15:04:25 +0000

ip-manager (1.1.1) unstable; urgency=medium

  * Ip manager v1.1.0 doesn't start on boot

 -- SAH bot <support.opensource@softathome.com>  Thu, 29 Jul 2021 13:19:02 +0000

ip-manager (1.1.0) unstable; urgency=medium

  * Added datamodel documentation generation
  * Added handling of NetDev.Link instance added events
  * Added handling of NetDev.Link parameter change events
  * Added handling of NetDev.Link instance removed events
  * Changelogs are no longer empty

 -- Frank Vanbever <frank.vanbever_ext@softathome.com> Mon, 28 Jun 2021 10:51:55 +0200

ip-manager (1.0.0) unstable; urgency=medium

  * Initial release of TR181 Device.IP datamodel

 -- Frank Vanbever <frank.vanbever_ext@softathome.com> Tue, 27 May 2021 09:30:12 +0200
